Loading...
Searching...
No Matches
Ogre::VisibleObjectsBoundsInfo Struct Reference
Core » Scene

Structure collecting together information about the visible objects that have been discovered in a scene. More...

`#include <OgreSceneManager.h>`

## Public Member Functions

| VisibleObjectsBoundsInfo ()
void | merge (const AxisAlignedBox &boxBounds, const Sphere &sphereBounds, const Camera *cam, bool receiver=true)
void | mergeNonRenderedButInFrustum (const AxisAlignedBox &boxBounds, const Sphere &sphereBounds, const Camera *cam)
| Merge an object that is not being rendered because it's not a shadow caster, but is a shadow receiver so should be included in the range.
void | reset ()

## Public Attributes

AxisAlignedBox | aabb
| The axis-aligned bounds of the visible objects.
Real | maxDistance
| The farthest a visible objects is from the camera.
Real | maxDistanceInFrustum
| The farthest object in the frustum regardless of visibility / shadow caster flags.
Real | minDistance
| The closest a visible object is to the camera.
Real | minDistanceInFrustum
| The closest a object in the frustum regardless of visibility / shadow caster flags.
AxisAlignedBox | receiverAabb
| The axis-aligned bounds of the visible shadow receiver objects.

## Detailed Description

Structure collecting together information about the visible objects that have been discovered in a scene.

## Constructor & Destructor Documentation

## VisibleObjectsBoundsInfo()

Ogre::VisibleObjectsBoundsInfo::VisibleObjectsBoundsInfo | ( |  | ) |

## Member Function Documentation

## reset()

void Ogre::VisibleObjectsBoundsInfo::reset | ( |  | ) |

## merge()

void Ogre::VisibleObjectsBoundsInfo::merge | ( | const AxisAlignedBox & | boxBounds,
|  | const Sphere & | sphereBounds,
|  | const Camera * | cam,
|  | bool | receiver = true )

## mergeNonRenderedButInFrustum()

void Ogre::VisibleObjectsBoundsInfo::mergeNonRenderedButInFrustum | ( | const AxisAlignedBox & | boxBounds,
|  | const Sphere & | sphereBounds,
|  | const Camera * | cam )

Merge an object that is not being rendered because it's not a shadow caster, but is a shadow receiver so should be included in the range.

## Member Data Documentation

## aabb

AxisAlignedBox Ogre::VisibleObjectsBoundsInfo::aabb

The axis-aligned bounds of the visible objects.

## receiverAabb

AxisAlignedBox Ogre::VisibleObjectsBoundsInfo::receiverAabb

The axis-aligned bounds of the visible shadow receiver objects.

## minDistance

Real Ogre::VisibleObjectsBoundsInfo::minDistance

The closest a visible object is to the camera.

## maxDistance

Real Ogre::VisibleObjectsBoundsInfo::maxDistance

The farthest a visible objects is from the camera.

## minDistanceInFrustum

Real Ogre::VisibleObjectsBoundsInfo::minDistanceInFrustum

The closest a object in the frustum regardless of visibility / shadow caster flags.

## maxDistanceInFrustum

Real Ogre::VisibleObjectsBoundsInfo::maxDistanceInFrustum

The farthest object in the frustum regardless of visibility / shadow caster flags.

The documentation for this struct was generated from the following file:

- OgreSceneManager.h